libtest-pod-perl_1.48-1_all.deb


Advertisement

Description

libtest-pod-perl - module to test for POD errors

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libtest-pod-perl
Package version: 1.48
Package release: 1
Package architecture: all
Package type: deb
Installed size: 58 B
Download size: 13.68 KB
Official Mirror: ftp.br.debian.org
Test::Pod is a simple test for Perl's Plain Old Documentation (POD) format. It checks your distribution's module, script and documentation files for issues with the documentation syntax. In the CPAN community, it is considered a best practice to use this module as an author test prior to releasing your packages because it prevents issues with various applications that use the POD.

Alternatives

    Download

    Source package: libtest-pod-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libtest-pod-perl deb package:
      # sudo apt-get install libtest-pod-perl

    Files

    • /usr/share/doc/libtest-pod-perl/changelog.Debian.gz
    • /usr/share/doc/libtest-pod-perl/changelog.gz
    • /usr/share/doc/libtest-pod-perl/copyright
    • /usr/share/man/man3/Test::Pod.3pm.gz
    • /usr/share/perl5/Test/Pod.pm

    Changelog

    2013-06-07 - gregor herrmann <gregoa@debian.org> libtest-pod-perl (1.48-1) unstable; urgency=low [ Jonathan Yu ] * New upstream release 1.45 * Bump to debhelper compat 8 [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ Alessandro Ghedini ] * Email change: Alessandro Ghedini -> ghedo@debian.org [ Salvatore Bonaccorso ] * Change search.cpan.org based URIs to metacpan.org based URIs [ gregor herrmann ] * New upstream release 1.48. Fixes "FTBFS with perl 5.18: test failure" (Closes: #711267) * debian/copyright: switch formatting to Copyright-Format 1.0. * Update years of packaging copyright. * Set Standards-Version to 3.9.4 (no further changes).

    2011-02-10 - Alessandro Ghedini <al3xbio@gmail.com> libtest-pod-perl (1.44-1) unstable; urgency=low [ Ansgar Burchardt ] * New upstream release. * debian/control: Lower (build-)deps according to upstream changes. * Use source format 3.0 (quilt). [ Alessandro Ghedini ] * Bump Standards-Version (no changes needed) * Update (build) dependencies (both libmodule-build-perl and libtest-simple v3.05 are now in Perl 5.10.0 core) * Add myself to Uploaders [ gregor herrmann ] * debian/copyright: minor formatting updates.

    2010-03-11 - Jonathan Yu <jawnsy@cpan.org> libtest-pod-perl (1.42-1) unstable; urgency=low [ Jonathan Yu ] * New upstream release (Closes: #463770) * Standards-Version 3.8.4 (no changes) * Update copyright information [ gregor herrmann ] * debian/control: depend on Pod::Simple 3.07 (like at build time).

    2010-01-14 - Jonathan Yu <jawnsy@cpan.org> libtest-pod-perl (1.41-1) unstable; urgency=low [ Jonathan Yu ] * New upstream release * Standards-Version 3.8.3 (drop perl version dep) * Update to new DEP5 copyright format [ Ryan Niebur ] * Update jawnsy's email address [ gregor herrmann ] * debian/control: Changed: (build-)depend on perl instead of perl- modules.

    2009-07-13 - Jonathan Yu <frequency@cpan.org> libtest-pod-perl (1.40-1) unstable; urgency=low * New upstream release + Now requires Perl 5.8.0 + More support for skipping version control directories * Standards-Version 3.8.2 * Added /me to Uploaders * Updated gregoa's e-mail address * Changed over to debhelper 7 short format * Updated copyright to new format [ gregor herrmann ] * debian/control: Changed: Switched Vcs-Browser field to ViewSVN (source stanza). * debian/copyright: add more copyright holders for debian/*. [ Nathan Handler ] * debian/watch: Update to ignore development releases.

    2008-03-12 - gregor herrmann <gregor+debian@comodo.priv.at> libtest-pod-perl (1.26-2) unstable; urgency=low * debian/rules: - delete /usr/lib/perl5 only if it exists (closes: #467980) - update based on dh-make-perl's templates * debian/watch: improved regexp for matching upstream releases. * debian/copyright: add additional copyright holder. * Add /me to Uploaders.

    2007-12-27 - Gunnar Wolf <gwolf@debian.org> libtest-pod-perl (1.26-1) unstable; urgency=low [ Gregor Herrmann ] * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser field (source stanza); Homepage field (source stanza). * Set Maintainer to Debian Perl Group. * Use dist-based URL in debian/watch. [ Rene Mayorga ] * New upstream release * debian/copyright + refresh copyright info + Add copyright info for the Debian Packaging * debian/control + Bump Standards-Version to 3.7.2 + raise debhelper version + change compat to 5 + Move debhelper to Build-Depends + Wrap Build-Depends-Indep + add ${misc:Depends} [ Gunnar Wolf ] * Added myself as an uploader * Bumped up standards-version to 3.7.3 (no changes needed)

    2006-03-14 - Jay Bonci <jaybonci@debian.org> libtest-pod-perl (1.24-1) unstable; urgency=low * New upstream release * Acknowledge NMU from Luk Claes. Thanks Luk (Closes: #353135) * Fix debian/watch so uscan will actually work * Policy-Version bump to 3.6.2.2 (No other changes)

    Advertisement
    Advertisement